org.apache.solr.handler.component

## Class QueryComponent.FakeScorer

- java.lang.Object
- - org.apache.lucene.search.Scorer
  - - org.apache.solr.handler.component.QueryComponent.FakeScorer

- Enclosing class:
    QueryComponent

      protected static class QueryComponent.FakeScorer
      extends Scorer

  Fake scorer for a single document TODO: when SOLR-5595 is fixed, this wont be needed, as we dont need to recompute sort values here from the comparator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer

      `Scorer.ChildScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `docID()`
    `int` | `freq()`
    `Collection<Scorer.ChildScorer>` | `getChildren()`
    `Weight` | `getWeight()`
    `DocIdSetIterator` | `iterator()`
    `float` | `score()`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `twoPhaseIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `Scorer`

    - #### score

          public float score()
                      throws IOException

      Specified by:
        `score` in class `Scorer`
      Throws:
        `IOException`

    - #### freq

          public int freq()
                   throws IOException

      Specified by:
        `freq` in class `Scorer`
      Throws:
        `IOException`

    - #### iterator

          public DocIdSetIterator iterator()

      Specified by:
        `iterator` in class `Scorer`

    - #### getWeight

          public Weight getWeight()

      Overrides:
        `getWeight` in class `Scorer`

    - #### getChildren

          public Collection<Scorer.ChildScorer> getChildren()

      Overrides:
        `getChildren` in class `Scorer`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.